import request from '@/utils/request'

// 查询白胚盘点单列表
export function listInventory(query) {
	return request({
		url: '/wms/Inventory/list',
		method: 'get',
		params: query
	});
}

// 查询白胚盘点单详细
export function getInventory(ID) {
	return request({
		url: '/wms/Inventory/' + ID,
		method: 'get'
		});
}

// 新增白胚盘点单
export function addInventory(data) {
	return request({
		url: '/wms/Inventory',
		method: 'post',
		data: data
	});
}

// 修改白胚盘点单
export function updateInventory(data) {
	return request({
		url: '/wms/Inventory',
		method: 'put',
		data: data
	});
}

// 删除白胚盘点单
export function delInventory(ID) {
	return request({
		url: '/wms/Inventory/' + ID,
		method: 'delete'
	});
}
